aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorLeonard, Mark (ml401d) <ml401d@att.com>2018-03-21 18:40:41 +0000
committerMark Leonard <mark.j.leonard@gmail.com>2018-03-28 13:50:51 +0100
commit66b3afa06776e9944ad515206d281d67747c9770 (patch)
tree427098937879fe09ae4fc3af4ae004359a60212a /scripts
parent161f5a7d9b900ae34a4886d7f7fb01ea496f71eb (diff)
Incorporate the ECOMP SDC Artefact Generator code
Remove the Maven dependency on openecomp-sdc-artifact-generator-core, because this is not maintained in the ONAP source code repositories. The functionality provided by the SDC Artifact Generator is replaced with equivalent code that depends on the SDC-TOSCA parsing library, without introducing any backwards-compatibility breaks. The intention is to make this Maven project more maintainable by depending only the common ONAP libraries. Change-Id: I01d78575d3b7c70a11e4c7989a021de3c0913a06 Issue-ID: AAI-943 Signed-off-by: mark.j.leonard <mark.j.leonard@gmail.com>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/get-latest-xsd-version.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/get-latest-xsd-version.sh b/scripts/get-latest-xsd-version.sh
new file mode 100644
index 0000000..0529821
--- /dev/null
+++ b/scripts/get-latest-xsd-version.sh
@@ -0,0 +1,7 @@
+basedir=$1
+cd ${basedir}/target/tmp/aai_schema
+cp `ls -v | tail -1` ${basedir}/target/tmp/aai_schema/aai_schema_latest.xsd || exit 1
+echo "get-latest-xsd-version.sh has successfully copied aai_schema_latest.xsd to ${basedir}/target/tmp/aai_schema/latest_aai_schema"
+exit 0
+
+